.loader {
  position: absolute;
  left: 50%;
  top: 50%;
  min-width: 50px;
  min-height: 50px;
  z-index: 3;
  opacity: 0;
  visibility: hidden;
  transform: translate(-50%, -50%);
  -webkit-transition: opacity .3s ease, visibility .3s ease;
  transition: opacity .3s ease, visibility .3s ease;

  & > ul {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 50px;
    height: 50px;
    transform: translate( -50%,-50% );

    > li {
      position: absolute;
      width: 100%;
      height: 100%;

      &:nth-child(1) {

        hr {
          &:nth-child(2) {
            -webkit-animation-delay: -0.9s;
            animation-delay: -0.9s;
          }
          &:nth-child(3) {
            -webkit-animation-delay: -0.6s;
            animation-delay: -0.6s;
          }
          &:nth-child(4) {
            -webkit-animation-delay: -0.3s;
            animation-delay: -0.3s;
          }
        }

      }
      &:nth-child(2) {
        -webkit-transform: rotateZ(45deg);
        transform: rotateZ(45deg);

        hr {
          &:nth-child(1) {
            -webkit-animation-delay: -1.1s;
            animation-delay: -1.1s;
          }
          &:nth-child(2) {
            -webkit-animation-delay: -0.8s;
            animation-delay: -0.8s;
          }
          &:nth-child(3) {
            -webkit-animation-delay: -0.5s;
            animation-delay: -0.5s;
          }
          &:nth-child(4) {
            -webkit-animation-delay: -0.2s;
            animation-delay: -0.2s;
          }
        }

      }
      &:nth-child(3) {
        -webkit-transform: rotateZ(90deg);
        transform: rotateZ(90deg);

        hr{
          &:nth-child(1) {
            -webkit-animation-delay: -1.0s;
            animation-delay: -1.0s;
          }
          &:nth-child(2) {
            -webkit-animation-delay: -0.7s;
            animation-delay: -0.7s;
          }
          &:nth-child(3) {
            -webkit-animation-delay: -0.4s;
            animation-delay: -0.4s;
          }
          &:nth-child(4) {
            -webkit-animation-delay: -0.1s;
            animation-delay: -0.1s;
          }
        }

      }

      > hr {
        position: absolute;
        width: 12px;
        height: 12px;
        margin: 0;
        padding: 0;
        border: none;
        background-color: #fff;
        border-radius: 100%;
        -webkit-animation: bouncedelay 1.2s infinite ease-in-out;
        animation: bouncedelay 1.2s infinite ease-in-out;
        -webkit-animation-fill-mode: both;
        animation-fill-mode: both;

        &:nth-child(1){ top: 0; left: 0 }
        &:nth-child(2){ top: 0; right: 0 }
        &:nth-child(3){ right: 0; bottom: 0 }
        &:nth-child(4){ left: 0; bottom: 0 }

      }

    }

  }

}

.is-loading{
  .loader{
    opacity: 1;
    visibility: visible;
  }
}

@-webkit-keyframes bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0.0) }
  40% { -webkit-transform: scale(1.0) }
}
@keyframes bouncedelay {
  0%, 80%, 100% {
    transform: scale(0.0);
    -webkit-transform: scale(0.0);
  }
  40% {
    transform: scale(1.0);
    -webkit-transform: scale(1.0);
  }
}
